diff scripts/Docker/roundup_start @ 6581:b5fb268b7f04

Docker installation doc improved and switchable debugging Using a Docker container, login was failing with no error or ok message. After a lengthy debugging session on irc with alxjsn assisted by taggnostr realised it was the web setting in config.ini. Install doc for docker now mentions that the web setting must end in /issues/. SHELL_DEBUG environment variable enabled set -xv in startp script.a
author John Rouillard <rouilj@ieee.org>
date Tue, 04 Jan 2022 16:31:04 -0500
parents 34cbd0e633d2
children 7b9bddda9d2d
line wrap: on
line diff
--- a/scripts/Docker/roundup_start	Tue Jan 04 10:41:20 2022 -0500
+++ b/scripts/Docker/roundup_start	Tue Jan 04 16:31:04 2022 -0500
@@ -6,7 +6,9 @@
 
 # "$@" should be a set of tracker=directory pairs.
 
-set -xv
+if ! [ -z "$SHELL_DEBUG" ]; then
+    set -xv
+fi
 
 trap exit INT
 
@@ -22,7 +24,7 @@
     # ^ is a tab for use with <<-
 
     # was $tracker_spec in the form of a=b, if not ignore it.
-    # allows setting CMD to -p 9090 issue=tracker for example.
+    # allows setting CMD to -i index_template issue=tracker for example.
     if [ -z "$directory" ]; then continue; fi
 
     # something is specified or built wrong. Don't start.

Roundup Issue Tracker: http://roundup-tracker.org/